Subject: [manet] Jist SWANS - Illegal Constant Pool Index Help

From: "Srikanth Hariharan" <[email-masked]>
Date: Tue, 9 Oct 2007 01:32:52 -0400

Hello,

I am trying to run a modified version of the Heartbeat example in Jist
SWANS. The program compiles properly but when i execute the class file,
secureNDP,  I get the following error message. Could you please give me some
suggestions on how I can fix this?

The original Heartbeat example which uses the class, AppHeartbeat, runs fine
without giving this error. I am unable to figure out what kind of mistakes
result in such an error.

Creating simulation nodes... Simulation exception!
java.lang.VerifyError: (class: secureNDPNormal, method: <init> signature:
(Ljist
/swans/net/NetAddress;)V) Illegal constant pool index
        at secureNDP.createNode (secureNDP.java:76)
        at secureNDP.createSim(secureNDP.java:161)
        at secureNDP.main(secureNDP.java:197)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.
java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAcces
sorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at jist.runtime.Bootstrap$JavaMain.startSimulation (Bootstrap.java
:163)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.
java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAcces
sorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at jist.runtime.Controller.processEvent(Controller.java:650)
        at jist.runtime.Controller.eventLoop (Controller.java:428)
        at jist.runtime.Controller.run(Controller.java:457)
        at java.lang.Thread.run(Thread.java:619)

Thanks a lot,
Srikanth
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet